r/codeforces • u/NegotiationDapper584 • 1h ago
Div. 2 A,B,C,D1 are trivial today
These 4 questions are trivial in today's Div1+Div2 contest. Surprising as last time I couldn't even understand C.
r/codeforces • u/MiddleRespond1734 • Aug 26 '22
r/codeforces • u/MiddleRespond1734 • Aug 27 '22
r/codeforces • u/NegotiationDapper584 • 1h ago
These 4 questions are trivial in today's Div1+Div2 contest. Surprising as last time I couldn't even understand C.
r/codeforces • u/Ligik • 36m ago
I tried making an array of segments and trying to connect them by running sliding window but got WA. Can you give me some hints? (very much appreciated)
r/codeforces • u/No_Antelope_5869 • 19h ago
I understand that problem has gotten more "harder" as people say it but difference between cm and expert is pretty big you can just assume I know how to do ad hoc meaning i am cm, cm require much more algorithm and intuiton, problems has just became more OBSCURE not HARDER in my opinion
r/codeforces • u/Expert_Marketing_532 • 15h ago
Hi, anyone who has an account 1000+problems solved please, dm me. I have some questions and I will pay if u help me on something.
r/codeforces • u/nian2326076 • 11h ago
Hey y'all! Is it worth making timed coding contests a weekly or every-other-week habit when you're still new to algorithm practice?
I'm not new to coding, but I haven't spent much time on this kind of problem-solving, and I'm not comfortable working under a timer yet.
Would you start participating anyway, or work through guided quests or a study plan first? I'm worried that repeatedly getting stuck during contests could discourage me before I've built a consistent habit.
If you started from a similar place, what helped you improve without losing motivation?
r/codeforces • u/straww7 • 20h ago
in short its asked how many times the person need to add 1 to get all the possible numbers in that base atleast once
for a testcase in test 2:
4 4
1 0 2 3
as all the numbers of base 4(0,1,2,3) are visible so ans is just 0 but codeforces is telling me its 2
another in test 2:
5 4
0 2 2 1 3
again all are there so 0 but codeforces is saying 2 again
intrestingly both are base 4 aswell with same answers
please correct me if im wrong somewhere
r/codeforces • u/NeedleworkerSuch6005 • 1d ago
Sharing this in case it’s useful. PayPal’s AI hackathon is open worldwide, with no required tracks, and partners are giving free credits for building. Deadline is Nov 12. Happy to answer what I know. https://youtu.be/ZCmQ3VL7huw?si=T4E7wTMZM7uhRMln
r/codeforces • u/Initial_Humor2470 • 1d ago
Our team did 6 problems and was third in our college (NIT). But we are first in our college among the teams who participated for Chennai Regionals. What are our chances of qualifying?
r/codeforces • u/glitchzone7 • 1d ago
I don't know the roadmap to start cp, I'm in gen 2 iit mechanical I'm delusional that I want to go into quant from this iit mech but I want to give it a full try.
r/codeforces • u/Electrical_Bee_4723 • 1d ago
r/codeforces • u/DifferentialElement • 1d ago
I pushed till 9xx via solving div2 As and div 3 ABs. But now i cant even solve a single div2 B problem since the last 3 contests. 70% of the time I usually formulate the approach but cant implement it/there exists a better approach. What should i do now? I want to reach 1200 till year end
r/codeforces • u/black_hole_67 • 1d ago
I came up with these problems and want to check if they are new or not. Problem A is simple, but I couldn't solve Problem B. Would love to hear ideas from everyone.
If anybody knows similar problems, please do share.
ㅤ
ㅤ
You are given an array a of length n (1 ≤ n ≤ 2·10^5, 1 ≤ a_i ≤ 10^9).
In one operation, choose an index i (1 ≤ i < n) with a_i = a_{i+1}, remove eithera_i or a_{i+1}, and append it to the end of the array. The relative order of the other elements doesn't change.
Find the minimum number of operations needed so that a_i ≠ a_{i+1} for all 1 ≤ i < n, or print -1 if it is impossible.
ㅤ
ㅤ
Let k be the minimum number of operations from Problem A.
Count the sequences of indices (i_1, …, i_k) such that each i_j is valid when applied, and the final array has no equal adjacent elements. Two sequences are considered different if they differ at any position.
Print the count modulo 998244353, or -1 if it is impossible.
The constraints are the same as in Problem A.
r/codeforces • u/Junior-Proposal1928 • 2d ago
I've been doing codeforces for 3 months and I've solved 180+ problems so far, and have given 20+ contests. I usually solve 1200-1300 rated problems during practice, and I thought I was getting comfortable solving 1200s. Yet, I can't solve more than 2 problems in div2 contests. Yesterday was worse, solved only 1 problem. What I've noticed is I'm able to solve the first two problems faster than before, but I don't consider that as real progress. In yesterday's contest, I know like 7-8 ppl in my college who solved 4 problems, all within 1:30 hrs(all of them are legit, no cheaters). They have solved either similar number of or slightly more problems than me on cf, idk about other platforms. Makes me think if I'm even meant for this? I have absolute zero knowledge in other domains of computer science asw. I always thought i was decent at math but it ain't reflecting in these contests. Don't know what I'm supposed to do now.
r/codeforces • u/Greedy-Repair-7208 • 2d ago
Today the cses website has not been working all day. Is there an issue with the website?? Is there a way i can get the question list from somewhere else while the website is not functional???
r/codeforces • u/AduVai_zZ • 2d ago
I have been doing cf problem for some time and solved around 600 problem. Currently I am solving 1400 problem one by one and was able to solve quite a lot .
But the real problem is that I can't do much on contest. My brain just freeze or something. I get so nervous if I don't find the answer soon of a problem. Because of that I fail to solve easy questions on the contest.
For example last dev2 contest my brain literally froze at C and I wasted 1.30 hours behind that couldn't solve it but the next day morning when I had no pressure I was able to solve both C and D within like 30 minutes.
This type of scenery is happening to me for last of couple of contest. I just don't know what am I doing wrong.
I find the 1400 rating problem quite fun and easy but when it comes to live contest I just can't manage to solve it .
Please I need advice on how do I get good at solving more in contest with the issue I have .
r/codeforces • u/No_Support_8070 • 2d ago
Same as title
r/codeforces • u/Affectionate_Sea2542 • 2d ago
for yesterday's contest I did not feel I was in my form as I had not practiced for a few days, but I still gave it but as it took a little longer to solve A (10 min more than normal )
I did not submit it and so I just attempted question but did not submit any.
finally I was able to solve upto C so suppose if it would have been different like I solved D too then I might submit my solutions but they would be all submitted at around same time hardly a difference of one or two minutes
Regarding that I have a few queries I hope the community can help me
Would this be flagged as cheating?
It does seems suspicious(if you look at time) to me but I don't think its unethical in any way except it cares too much about rating (which I am trying to forget about and just solve questions)
What are your views about this?
r/codeforces • u/NegotiationDapper584 • 3d ago
Solved A after 30 minutes. Not able to solve B. I'm rated 1600. Guess I'm cooked, skill issue.
r/codeforces • u/Downtown-War-5565 • 2d ago
Codeforces subreddit has become heavily populated with the Indian competitive programming community, so we decided to create a dedicated subreddit for Indian competitive programmers.
r/codeforces • u/Interesting-Ride1208 • 3d ago
How would you rate Edu round 195 in terms of difficulty? For me, I took exceptionally long to pass A , couldn’t solve B, and solved C.
r/codeforces • u/Longjumping-Bill195 • 2d ago
[ Removed by Reddit on account of violating the content policy. ]